axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <sietsenicolaas.tenho...@bt.com>
Subject RE: [Axis2] Question about interactiving with different Axis2 versions
Date Wed, 19 Dec 2007 12:03:43 GMT
Hi Anil,

The idea is to have independent components. Therefore the server doesn't
know the clients implementation and the other way around. The only
important thing is that they both stick to the contract (wsdl file) for
sending the correct messages.

Different versions can have problems ofcourse, but the only interesting
part is that the correct messages are send between server and client. 

Regards,
Sietse 

-----Original Message-----
From: Anil VVNN [mailto:vvnn_anil@yahoo.com] 
Sent: 18 December 2007 21:37
To: axis-user@ws.apache.org
Subject: [Axis2] Question about interactiving with different Axis2
versions


Hi,

We use Axis2 for the WebServices and ADB for the code generation.
Currently, the Server side uses Axis2 1.1.1 version and Client uses
Axis2 1.2 version for code generation (stubs etc). Is this type of
set-up okay? or will there be any problem with different versions. 

Can Client version be different from the Server and vice versa? Which
layer
(server/client) can have upper version? Thanks.
--
View this message in context:
http://www.nabble.com/-Axis2--Question-about-interactiving-with-differen
t-Axis2-versions-tp14406286p14406286.html
Sent from the Axis - User mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-user-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-user-help@ws.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-user-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-user-help@ws.apache.org


Mime
View raw message